Request
curl -X POST https://sandbox.api.lendeasy.ai /v1/servicing/core-bindings/$BINDING_ID/identity-mappings \
-H "Authorization: Bearer $TOKEN" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"entityType": "loan",
"lendeasyId": "loan_harbor_7X2K",
"sourceId": "LN-0081442",
"sourceVersion": "acct-etag-99104"
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/core-bindings/${bindingId}/identity-mappings` , {
method: "POST" ,
headers: { Authorization: `Bearer ${token}` , "Idempotency-Key" : idempotencyKey, "Content-Type" : "application/json" },
body: JSON.stringify({
"entityType": "loan",
"lendeasyId": "loan_harbor_7X2K",
"sourceId": "LN-0081442",
"sourceVersion": "acct-etag-99104"
}),
});requests.post(
f"https://sandbox.api.lendeasy.ai /v1/servicing/core-bindings/{binding_id}/identity-mappings" ,
headers={"Authorization" : f"Bearer {token}" , "Idempotency-Key" : idempotency_key},
json={
"entityType": "loan",
"lendeasyId": "loan_harbor_7X2K",
"sourceId": "LN-0081442",
"sourceVersion": "acct-etag-99104"
},
)201 401 403 409 422 429
{
"mappingId": "map_HBR_4",
"status": "active",
"entityType": "loan",
"lendeasyId": "loan_harbor_7X2K",
"sourceId": "LN-0081442"
}{
"type": "https://docs.lendeasy.ai/errors/unauthorized",
"title": "Unauthorized",
"status": 401 ,
"code": "unauthorized",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}{
"type": "https://docs.lendeasy.ai/errors/forbidden",
"title": "Forbidden",
"status": 403 ,
"code": "forbidden",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}{
"type": "https://docs.lendeasy.ai/errors/version_conflict",
"title": "Version Conflict",
"status": 409 ,
"code": "version_conflict",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}{
"type": "https://docs.lendeasy.ai/errors/validation_error",
"title": "Validation Error",
"status": 422 ,
"code": "validation_error",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}{
"type": "https://docs.lendeasy.ai/errors/rate_limited",
"title": "Rate Limited",
"status": 429 ,
"code": "rate_limited",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}